Межсайтовый скриптинг в WebDynpro Runtime в SAP NetWeaver

Дата публикации:
22.02.2010
Дата изменения:
22.02.2010
Всего просмотров:
1249
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SAP NetWeaver 4.x
SAP NetWeaver 7.x
Уязвимые версии: SAP NetWeaver версии до 2004 SP21 и 2004s SP13

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в WebDynpro Runtime. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.sap.com/platform/netweaver/index.epx

Решение: Установите последнюю версию SAP NetWeaver 2004 SP21 или 2004s SP13 с сайта производителя.

Ссылки: http://archives.neohapsis.com/archives/fulldisclosure/2010-02/0216.html
https://service.sap.com/sap/support/notes/1424863

или введите имя

CAPTCHA